# fn() expectation
Computes the expectation for a set of patterns w.r.t a set of text strings and a MarkovModel.

Defined in | <seqan/statistics.h>
Signature | `TFloat expectation(W, X, M);`

## Parameters

`W` | The StringSet of word strings.
`X` | The StringSet of text strings.
`M` | The MarkovModel to use.

## Return Values

`TFloat` | The expectation for W w.r.t. X and M, TFloat is the TFloat from the type of M.

## Data Races

If not stated otherwise, concurrent invocation is not guaranteed to be thread-safe.

#### Dox Sources

    /*!
     * @fn expectation
     *
     * @headerfile <seqan/statistics.h>
     *
     * @brief Computes the expectation for a set of patterns w.r.t a set of text
     *        strings and a MarkovModel.
     *
     * @signature TFloat expectation(W, X, M);
     *
     * @param[in] W The StringSet of word strings.
     * @param[in] X The StringSet of text strings.
     * @param[in] M The MarkovModel to use.
     *
     * @return TFloat The expectation for W w.r.t. X and M, TFloat is the TFloat
     *                from the type of M.
     */